#!/usr/bin/env bash

set -e

#check to make sure this is a 64-bit machine
getconf LONG_BIT | grep 64 > /dev/null  || ( echo "Git Fusion requires a 64-bit machine. Exiting." && exit 1)
sudo rpm --import http://package.perforce.com/perforce.pubkey

#Update sources list with the Perforce Package repo.
sudo echo "[perforce]
name=Perforce 
baseurl=http://package.perforce.com/yum/rhel/7/x86_64
enabled=1 
gpgcheck=1" >> /etc/yum.repos.d/perforce.repo
sudo yum -y update
sudo yum -y install helix-cli python-pip python-devel
sudo pip install p4python
